.egloo-block.timeline {
  margin-top: 4.0725rem;
  margin-bottom: 6rem;
}

.egloo-block.timeline.container {
  max-width: calc(var(--site-width) + 4rem);
}

.egloo-block.timeline .columns-wrapper {
  max-width: 75%;
  margin: auto;
}

.egloo-block.timeline .columns-grid {
  display: grid;
  grid-template-columns: var(--grid);
  grid-gap: 1.25rem;
}

.egloo-block.timeline .single-column {
  padding: 1.25rem;
  background-color: var(--light-grey);
}

.egloo-block.timeline .single-column .img-wrap .img {
  position: relative;
  padding-bottom: 64%;
}

.egloo-block.timeline .single-column .img-wrap .img img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.egloo-block.timeline .single-column .main-data {
  padding-top: 2.1875rem;
  padding-bottom: 0;
  text-align: center;
}

.egloo-block.timeline .single-column .main-data .day-title-wrap h3 {
  font-size: 1.5rem;
  font-weight: 600;
  line-height: 1.36;
  text-transform: uppercase;
}

.egloo-block.timeline .single-column .main-data .day-date-wrap {
  border-bottom: 2px solid white;
  padding-top: 1rem;
  padding-bottom: 1rem;
  text-transform: uppercase;
  letter-spacing: 0.04em;
  font-size: 0.875rem;
  font-weight: 600;
  color: var(--grey);
}

.egloo-block.timeline .single-column .intro-wrap .intro {
  font-size: 1rem;
  line-height: 1.625;
  padding-top: 1rem;
  text-align: center;
  padding-bottom: 2.18625rem;
}

.egloo-block.timeline .single-column .single-appointment {
  display: flex;
  gap: 1.3rem;
  padding-bottom: 2.125rem;
  position: relative;
  flex-basis: auto;
}

.egloo-block.timeline .single-column .single-appointment .app-icon-wrap {
  position: relative;
  top: 50%;
  flex: 1;
  max-width: 2.5rem;
}

.egloo-block.timeline .single-column .single-appointment .app-icon-wrap .app-icon {
  padding: 0.4375rem;
  border-radius: 50%;
  position: relative;
  top: 50%;
  transform: translatey(-50%);
  z-index: 1;
}

.egloo-block.timeline .single-column .single-appointment.past .app-icon-wrap .app-icon {
  background-color: var(--accent);
}

.egloo-block.timeline .single-column .single-appointment.future .app-icon-wrap .app-icon {
  background-color: var(--grey);
}

.egloo-block.timeline .single-column .appointments .single-appointment:first-child .app-icon-wrap:before {
  display: none;
}

.egloo-block.timeline .single-column .single-appointment .app-icon-wrap:before {
  content: "";
  height: calc(100% + 2rem);
  position: absolute;
  left: 50%;
  top: calc(-50% - 1rem);
  transform: translatex(-50%);
  width: 4px;
}

.egloo-block.timeline .single-column .single-appointment.past .app-icon-wrap:before {
  background-color: var(--accent);
}

.egloo-block.timeline .single-column .single-appointment.future .app-icon-wrap:before {
  background-color: white;
}

.egloo-block.timeline .single-column .single-appointment .app-icon-wrap .app-icon svg {
  min-width: 1.5rem;
}

.egloo-block.timeline .single-column .single-appointment .card-wrap {
  padding-left: 1.875rem;
  position: relative;
  width: calc(100% - 2.5rem);
}

.egloo-block.timeline .single-column .single-appointment .card-wrap:before {
  content: "";
  position: absolute;
  top: 50%;
  transform: translatey(-50%);
  left: 0px;
  width: 0;
  height: 0;
  border-right: 1.875rem solid var(--background-color);
  border-bottom: 1.2rem solid transparent;
  border-top: 1.2rem solid transparent;
  left: 0px;
}

.egloo-block.timeline .single-column .single-appointment .card-wrap .app-card {
  background-color: var(--background-color);
  padding: 1.625rem;
}

.egloo-block.timeline .single-column .single-appointment .card-wrap .time-wrap {
  text-transform: uppercase;
  letter-spacing: 0.04em;
  font-size: 0.875rem;
  font-weight: 600;
  color: var(--accent);
}

.egloo-block.timeline .single-column .single-appointment .card-wrap .app-title-wrap {
  font-size: 1.375rem;
  line-height: 1.45;
  text-transform: uppercase;
  font-weight: 600;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
}

.egloo-block.timeline .single-column .single-appointment .card-wrap .app-description-wrap {
  font-size: 1rem;
  line-height: 1.625;
  letter-spacing: 0.04em;
}

@media only screen and (max-width: 767px) {
  .egloo-block.timeline {
    margin-top: 4rem;
    margin-bottom: 4rem;
  }

  .egloo-block.timeline .columns-grid {
    grid-template-columns: 1fr;
  }

  .egloo-block.timeline .columns-wrapper {
    max-width: 100%;
  }

  .egloo-block.timeline .single-column .single-appointment {
    column-gap: 0.4rem;
  }

  .egloo-block.timeline .single-column .single-appointment .card-wrap .app-title-wrap {
    font-size: 1rem;
  }

  .egloo-block.timeline .single-column .single-appointment .card-wrap .app-description-wrap {
    font-size: 0.875rem;
  }

  .egloo-block.timeline .single-column .single-appointment .app-icon-wrap {
    left: -0.4rem;
    max-width: 2.5rem;
  }

  .egloo-block.timeline .single-column .single-appointment .app-icon-wrap .app-icon svg {
    min-width: 1.2rem;
    height: 1.2rem;
  }

  .egloo-block.timeline .single-column .single-appointment .app-icon-wrap:before {
    height: calc(100% + 1.5rem);
    top: calc(-50% - 1.2rem);
  }

  .egloo-block.timeline .single-column .single-appointment .card-wrap:before {
    border-right: 1.2rem solid white;
    border-bottom: 1rem solid transparent;
    border-top: 1rem solid transparent;
  }

  .egloo-block.timeline .single-column .single-appointment .card-wrap {
    padding-left: 1.2rem;
  }
}
